/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DataAnnotationRangeLayer } from "./DataAnnotationRangeLayer";
import { DependencyProperty } from "igniteui-angular-core";
import { enumGetBox, typeCast, markType, markDep } from "igniteui-angular-core";
import { DataAnnotationDisplayMode_$type } from "./DataAnnotationDisplayMode";
import { IFastItemsSource_$type } from "igniteui-angular-core";
import { PropertyMetadata } from "igniteui-angular-core";
/**
 * @hidden
 */
export let DataAnnotationPointLayer = /*@__PURE__*/ (() => {
    class DataAnnotationPointLayer extends DataAnnotationRangeLayer {
        constructor() {
            super(...arguments);
            this.agt = null;
            this.agu = null;
            this.agr = null;
            this.ags = null;
            this.agp = null;
            this.agq = null;
            this.agn = null;
            this.ago = null;
            this.agl = null;
            this.agm = null;
        }
        get ag3() {
            return this.agt;
        }
        set ag3(a) {
            if (this.agt != a) {
                let b = this.agt;
                this.agt = a;
                this.raisePropertyChanged("StartValueXColumn", b, this.agt);
            }
        }
        get ag4() {
            return this.agu;
        }
        set ag4(a) {
            if (this.agu != a) {
                let b = this.agu;
                this.agu = a;
                this.raisePropertyChanged("StartValueYColumn", b, this.agu);
            }
        }
        get ag1() {
            return this.agr;
        }
        set ag1(a) {
            if (this.agr != a) {
                let b = this.agr;
                this.agr = a;
                this.raisePropertyChanged("StartLabelXColumn", b, this.agr);
            }
        }
        get ag2() {
            return this.ags;
        }
        set ag2(a) {
            if (this.ags != a) {
                let b = this.ags;
                this.ags = a;
                this.raisePropertyChanged("StartLabelYColumn", b, this.ags);
            }
        }
        get agz() {
            return this.agp;
        }
        set agz(a) {
            if (this.agp != a) {
                let b = this.agp;
                this.agp = a;
                this.raisePropertyChanged("EndValueXColumn", b, this.agp);
            }
        }
        get ag0() {
            return this.agq;
        }
        set ag0(a) {
            if (this.agq != a) {
                let b = this.agq;
                this.agq = a;
                this.raisePropertyChanged("EndValueYColumn", b, this.agq);
            }
        }
        get agx() {
            return this.agn;
        }
        set agx(a) {
            if (this.agn != a) {
                let b = this.agn;
                this.agn = a;
                this.raisePropertyChanged("EndLabelXColumn", b, this.agn);
            }
        }
        get agy() {
            return this.ago;
        }
        set agy(a) {
            if (this.ago != a) {
                let b = this.ago;
                this.ago = a;
                this.raisePropertyChanged("EndLabelYColumn", b, this.ago);
            }
        }
        get agv() {
            return this.agl;
        }
        set agv(a) {
            if (this.agl != a) {
                let b = this.agl;
                this.agl = a;
                this.raisePropertyChanged("CenterLabelXColumn", b, this.agl);
            }
        }
        get agw() {
            return this.agm;
        }
        set agw(a) {
            if (this.agm != a) {
                let b = this.agm;
                this.agm = a;
                this.raisePropertyChanged("CenterLabelYColumn", b, this.agm);
            }
        }
        rg(a, b, c, d) {
            super.rg(a, b, c, d);
            switch (b) {
                case DataAnnotationPointLayer.$$p[14]:
                    this.aei(this.ag3);
                    this.ag3 = this.dl(b);
                    break;
                case DataAnnotationPointLayer.$$p[15]:
                    this.aei(this.ag4);
                    this.ag4 = this.dl(b);
                    break;
                case DataAnnotationPointLayer.$$p[11]:
                    this.aei(this.ag1);
                    this.ag1 = this.dn(b);
                    break;
                case DataAnnotationPointLayer.$$p[13]:
                    this.aei(this.ag2);
                    this.ag2 = this.dn(b);
                    break;
                case DataAnnotationPointLayer.$$p[8]:
                    this.aei(this.agz);
                    this.agz = this.dl(b);
                    break;
                case DataAnnotationPointLayer.$$p[9]:
                    this.aei(this.ag0);
                    this.ag0 = this.dl(b);
                    break;
                case DataAnnotationPointLayer.$$p[5]:
                    this.aei(this.agx);
                    this.agx = this.dn(b);
                    break;
                case DataAnnotationPointLayer.$$p[7]:
                    this.aei(this.agy);
                    this.agy = this.dn(b);
                    break;
                case DataAnnotationPointLayer.$$p[1]:
                    this.aei(this.agv);
                    this.agv = this.dn(b);
                    break;
                case DataAnnotationPointLayer.$$p[3]:
                    this.aei(this.agw);
                    this.agw = this.dn(b);
                    break;
                case "StartValueXColumn":
                case "StartValueYColumn":
                case "EndValueXColumn":
                case "EndValueYColumn":
                    this.abj();
                    break;
                case "CenterLabelXColumn":
                case "CenterLabelYColumn":
                case "StartLabelXColumn":
                case "StartLabelYColumn":
                case "EndLabelXColumn":
                case "EndLabelYColumn":
                    this.abj();
                    break;
                case DataAnnotationPointLayer.$$p[0]:
                case DataAnnotationPointLayer.$$p[2]:
                case DataAnnotationPointLayer.$$p[10]:
                case DataAnnotationPointLayer.$$p[12]:
                case DataAnnotationPointLayer.$$p[4]:
                case DataAnnotationPointLayer.$$p[6]:
                    this.abj();
                    break;
            }
        }
        aem(a, b) {
            super.aem(a, b);
            if (typeCast(IFastItemsSource_$type, a) != null) {
                a.deregisterColumn(this.ag3);
                a.deregisterColumn(this.ag4);
                a.deregisterColumn(this.agz);
                a.deregisterColumn(this.ag0);
                a.deregisterColumn(this.ag1);
                a.deregisterColumn(this.ag2);
                a.deregisterColumn(this.agx);
                a.deregisterColumn(this.agy);
                a.deregisterColumn(this.agv);
                a.deregisterColumn(this.agw);
                this.ag3 = null;
                this.ag4 = null;
                this.agz = null;
                this.ag0 = null;
                this.ag1 = null;
                this.ag2 = null;
                this.agx = null;
                this.agy = null;
                this.agv = null;
                this.agw = null;
            }
            if (typeCast(IFastItemsSource_$type, b) != null) {
                this.ag3 = this.dl(this.ah0);
                this.ag4 = this.dl(this.ah3);
                this.agz = this.dl(this.ahm);
                this.ag0 = this.dl(this.ahp);
                this.ag1 = this.dn(this.aht);
                this.ag2 = this.dn(this.ahx);
                this.agx = this.dn(this.ahf);
                this.agy = this.dn(this.ahj);
                this.agv = this.dn(this.ag7);
                this.agw = this.dn(this.ahb);
            }
        }
    }
    DataAnnotationPointLayer.$t = markType(DataAnnotationPointLayer, 'DataAnnotationPointLayer', DataAnnotationRangeLayer.$);
    DataAnnotationPointLayer.$$p = markDep(DependencyProperty, PropertyMetadata, DataAnnotationPointLayer, 'raisePropertyChanged', ['CenterLabelXDisplayMode:agf:ah5', [DataAnnotationDisplayMode_$type, enumGetBox(DataAnnotationDisplayMode_$type, 0)], 'CenterLabelXMemberPath:ag7:ah6', [2, null], 'CenterLabelYDisplayMode:agg:ah7', [DataAnnotationDisplayMode_$type, enumGetBox(DataAnnotationDisplayMode_$type, 6)], 'CenterLabelYMemberPath:ahb:ah8', [2, null], 'EndLabelXDisplayMode:agh:ah9', [DataAnnotationDisplayMode_$type, enumGetBox(DataAnnotationDisplayMode_$type, 0)], 'EndLabelXMemberPath:ahf:aia', [2, null], 'EndLabelYDisplayMode:agi:aib', [DataAnnotationDisplayMode_$type, enumGetBox(DataAnnotationDisplayMode_$type, 6)], 'EndLabelYMemberPath:ahj:aic', [2, null], 'EndValueXMemberPath:ahm:aid', [2, null], 'EndValueYMemberPath:ahp:aie', [2, null], 'StartLabelXDisplayMode:agj:aif', [DataAnnotationDisplayMode_$type, enumGetBox(DataAnnotationDisplayMode_$type, 0)], 'StartLabelXMemberPath:aht:aig', [2, null], 'StartLabelYDisplayMode:agk:aih', [DataAnnotationDisplayMode_$type, enumGetBox(DataAnnotationDisplayMode_$type, 6)], 'StartLabelYMemberPath:ahx:aii', [2, null], 'StartValueXMemberPath:ah0:aij', [2, null], 'StartValueYMemberPath:ah3:aik', [2, null]]);
    return DataAnnotationPointLayer;
})();
